### Hierarchy

- WebCryptoCipher

### Implements

- Cipher

## Index

### Constructors

- constructor

### Properties

- subtleCrypto

### Methods

- decrypt
- encrypt

## Constructors

### constructor

- new WebCryptoCipher(subtleCrypto: SubtleCrypto): WebCryptoCipher

- - Defined in encryption/aesCipher.ts:62

  #### Parameters

  - ##### subtleCrypto: SubtleCrypto

  #### Returns WebCryptoCipher

## Properties

### subtleCrypto

subtleCrypto: SubtleCrypto

- Defined in encryption/aesCipher.ts:62

## Methods

### decrypt

- decrypt(algorithm: CipherAlgorithm, key: NodeJS.TypedArray, iv: NodeJS.TypedArray, data: NodeJS.TypedArray): Promise<Buffer>

- Implementation of Cipher.decrypt

  - Defined in encryption/aesCipher.ts:94

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: NodeJS.TypedArray

  - ##### iv: NodeJS.TypedArray

  - ##### data: NodeJS.TypedArray

  #### Returns Promise<Buffer>

### encrypt

- encrypt(algorithm: CipherAlgorithm, key: NodeJS.TypedArray, iv: NodeJS.TypedArray, data: NodeJS.TypedArray): Promise<Buffer>

- Implementation of Cipher.encrypt

  - Defined in encryption/aesCipher.ts:68

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: NodeJS.TypedArray

  - ##### iv: NodeJS.TypedArray

  - ##### data: NodeJS.TypedArray

  #### Returns Promise<Buffer>

Generated using TypeDoc